module SnowAgent
  class Configuration
    # Base URL of the SnowmanIO server
    attr_accessor :server

    # Secret access token for authentication with SnowmanIO
    attr_accessor :secret_token

    # Timeout when waiting for the server to return data in seconds
    attr_accessor :read_timeout

    # Timout when opening connection to the server
    attr_accessor :open_timeout

    def initialize
      self.server        = ENV['SNOWMANIO_SERVER']
      self.secret_token  = ENV['SNOWMANIO_SECRET_TOKEN']

      self.read_timeout = 30
      self.open_timeout = 30
    end

    # Determines if the agent confiured to send metrics.
    def configured?
      !server.nil? && !secret_token.nil?
    end
  end
end
